Package Details: pkgbuilder 4.2.9-1

Git Clone URL: https://aur.archlinux.org/pkgbuilder.git (read-only)
Package Base: pkgbuilder
Description: A Python AUR helper/library.
Upstream URL: https://github.com/Kwpolska/pkgbuilder
Keywords: aur aur4 download helper pkgbuild pkgbuilder
Licenses: BSD
Submitter: Kwpolska
Maintainer: Kwpolska
Last Packager: Kwpolska
Votes: 26
Popularity: 0.423893
First Submitted: 2011-09-20 14:46
Last Updated: 2016-04-29 14:35

Latest Comments

garyvdm commented on 2014-07-29 17:14

Please add python-setuptools as a dependency. Without it the console script entry points don't get created. Without this pkgbuilder cant be run.

Kwpolska commented on 2014-05-28 12:12

@gauthma: AUR has updated their API in a way that is incompatible with PKGBUILDer v3.2.0. v3.3.0 (experimental!) should be out later today.

gauthma commented on 2014-05-27 22:12

I seem to have stumbled to another bug... though I'm not sure, because two days ago it worked fine... In any case, when running pkgbuilder -Syu I get:

:: Synchronizing package databases...
==> ERROR: AURDict has an unknown PackageBase key (Package: AURPackage.from_aurdict())

Is this a legitimate problem, or has something in my system gone haywire? (I've just updated and rebooted -- to no avail, the problem remains)

Kwpolska commented on 2014-03-25 13:49

@gauthma

oh. sorry. found the cause, should be working in next release (later today).

gauthma commented on 2014-03-24 21:06

Attempting to upgrade with $ pkgbuilder -u yields this error:

$ pkgbuilder -u
==> Synchronizing package databases...
==> Starting full system upgrade...
Traceback (most recent call last):
File "/usr/bin/pkgbuilder", line 12, in <module>
pkgbuilder.main.main()
File "/usr/lib/python3.3/site-packages/pkgbuilder/main.py", line 215, in main
upnames = pkgbuilder.upgrade.auto_upgrade(dodowngrade, args.vcsup)
File "/usr/lib/python3.3/site-packages/pkgbuilder/upgrade.py", line 149, in auto_upgrade
'({2})').format(**i)
TypeError: format() argument after ** must be a mapping, not list

---
If the debug output is required, let me know in a comment.

silvergeko commented on 2014-01-22 17:16

@Kwpolska: Ok works great.
thanks

Kwpolska commented on 2014-01-22 17:01

3rd*, even better.

Kwpolska commented on 2014-01-22 17:01

@silvergeko: oh. sorry. fixed with yet another release, the 2nd today.

silvergeko commented on 2014-01-22 16:19

Hi,
I tried to update and I get the following error:

==> Starting package()...
Traceback (most recent call last):
File "setup.py", line 16, in <module>
long_description=open('./docs/README.rst').read(),
File "/usr/lib/python3.3/encodings/ascii.py", line 26, in decode
return codecs.ascii_decode(input, self.errors)[0]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 224: ordinal not in range(128)

Kwpolska commented on 2012-11-04 15:21

PKGBUILDer already supports the new AUR (since an hour, to be exact). Also, aurqt, my new project, is being updated right now and this comment is here to test it.

Kwpolska commented on 2012-10-28 12:07

As I said, bug reports in the comments ARE NOT ACCEPTED. You should be happy I was about to release the fix, or else your report will be ignored completely.

mrbit commented on 2012-10-27 20:02

change AURURL="https://aur.archlinux.org" !!!

Kwpolska commented on 2012-10-18 15:07

Yup, that’s the reason, so just rebuild it and it would work just fine.

techryda commented on 2012-10-18 02:45

I had to rebuild python-requests in order to get this to work...I'm guessing because of the python rebuild

Kwpolska commented on 2012-10-13 07:45

I am terribly sorry for those problems. Again, same reason as last time.

techryda commented on 2012-10-12 20:12

Once again: :-)

md5sum is: a65902fc7f0a71d7595b86757f36c7c3

Thanks

Kwpolska commented on 2012-10-06 07:49

I am aware of that, this was caused by me (a) not thinking; (b) making a re-release with the same version number. Fixed.

vadmium commented on 2012-10-06 04:24

Check sum is not correct; should be
md5sums=('2ea030cb1a67d772143209c0d0cbdcfc')

mrbit commented on 2012-09-15 19:24

ow ok :

pacman -R pyalpm pkgbuilder
and
install packer -S pkgbuilder
????? strange

Kwpolska commented on 2012-09-15 18:49

I can’t see the problem. I will investigate, but I cannot find a valid cause. It might be a problem of your system.

mrbit commented on 2012-09-15 18:45

[mrbit@localhost ~]$ pkgbuilder
Traceback (most recent call last):
File "/usr/bin/pkgbuilder", line 3, in <module>
import pkgbuilder.main
File "/usr/lib/python2.7/site-packages/pkgbuilder/main.py", line 125
print(DS.colors['all_off'], end='')
^
SyntaxError: invalid syntax

Kwpolska commented on 2012-09-03 11:42

And, for future reference, the correct place to report bugs and issues and wishes is https://github.com/Kwpolska/pkgbuilder/issues .

mrbit commented on 2012-09-03 11:34

strange !!!!!

wlan0 it's ok..!!!!

Kwpolska commented on 2012-09-03 11:32

I think I do not need to report this bug after all. Please go fix your router or wlan0, as it seems to be the culprit, it’s not my fault. Sorry.

mrbit commented on 2012-09-03 11:31

sudo pkgbuilder -Syu
:: Gathering data about packages...
Traceback (most recent call last):
File "/usr/lib/python3.2/site-packages/requests/packages/urllib3/connectionpool.py", line 275, in _make_request
httplib_response = conn.getresponse(buffering=True)
TypeError: getresponse() got an unexpected keyword argument 'buffering'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.2/site-packages/requests/models.py", line 618, in send
timeout=self.timeout,
File "/usr/lib/python3.2/site-packages/requests/packages/urllib3/connectionpool.py", line 415, in urlopen
body=body, headers=headers)
File "/usr/lib/python3.2/site-packages/requests/packages/urllib3/connectionpool.py", line 277, in _make_request
httplib_response = conn.getresponse()
File "/usr/lib/python3.2/http/client.py", line 1049, in getresponse
response.begin()
File "/usr/lib/python3.2/http/client.py", line 346, in begin
version, status, reason = self._read_status()
File "/usr/lib/python3.2/http/client.py", line 308, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/usr/lib/python3.2/socket.py", line 276, in readinto
return self._sock.recv_into(b)
socket.error: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/pkgbuilder", line 6, in <module>
pkgbuilder.main.main()
File "/usr/lib/python3.2/site-packages/pkgbuilder/main.py", line 144, in main
upgrade.auto_upgrade()
File "/usr/lib/python3.2/site-packages/pkgbuilder/upgrade.py", line 99, in auto_upgrade
upgradeable = self.list_upgradeable(foreign.keys())
File "/usr/lib/python3.2/site-packages/pkgbuilder/upgrade.py", line 71, in list_upgradeable
aurlist = self.aur.multiinfo(pkglist, DS.protocol)['results']
File "/usr/lib/python3.2/site-packages/pkgbuilder/aur.py", line 85, in multiinfo
return json.loads(self.jsonmultiinfo(args, prot))
File "/usr/lib/python3.2/site-packages/pkgbuilder/aur.py", line 57, in jsonmultiinfo
req = requests.get(self.mrpc.format(prot, urlargs))
File "/usr/lib/python3.2/site-packages/requests/api.py", line 65, in get
return request('get', url, **kwargs)
File "/usr/lib/python3.2/site-packages/requests/safe_mode.py", line 39, in wrapped
return function(method, url, **kwargs)
File "/usr/lib/python3.2/site-packages/requests/api.py", line 51, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.2/site-packages/requests/sessions.py", line 243, in request
r.send(prefetch=prefetch)
File "/usr/lib/python3.2/site-packages/requests/models.py", line 623, in send
raise ConnectionError(sockerr)
requests.exceptions.ConnectionError: [Errno 104] Connection reset by peer

mrbit commented on 2012-09-03 11:30

with wlan0:

2012-09-03 13:28:10,565 [INFO ] :pkgbuilder: *** PKGBUILDer v2.1.3.7
2012-09-03 13:28:10,690 [INFO ] :pkgbuilder: Running argparse.
2012-09-03 13:28:10,691 [INFO ] :pkgbuilder: Arguments parsed.
2012-09-03 13:28:10,691 [INFO ] :pkgbuilder: Ran through all the addon features, building...
2012-09-03 13:28:10,692 [INFO ] :pkgbuilder: Building pkgbuilder
2012-09-03 13:28:10,697 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org
2012-09-03 13:28:22,107 [ERROR ] :pkgbuilder: (auto fancy_error ) [Errno 104] Connection reset by peer
2012-09-03 13:28:22,107 [ERROR ] :pkgbuilder: (auto PBError ) [ERR3402] Something went wrong. EC=3 EM=['requests.exceptions.ConnectionError']
2012-09-03 13:28:22,107 [ERROR ] :pkgbuilder: (auto fancy_error ) [ERR3402] Something went wrong. EC=3 EM=['requests.exceptions.ConnectionError']
2012-09-03 13:28:22,107 [INFO ] :pkgbuilder: Quitting.

Kwpolska commented on 2012-09-03 11:27

mind showing me the same with wlan0?

mrbit commented on 2012-09-03 11:26

with eth0 :

2012-09-03 13:25:37,598 [INFO ] :pkgbuilder: *** PKGBUILDer v2.1.3.7
2012-09-03 13:25:37,705 [INFO ] :pkgbuilder: Running argparse.
2012-09-03 13:25:37,707 [INFO ] :pkgbuilder: Arguments parsed.
2012-09-03 13:25:37,707 [INFO ] :pkgbuilder: Ran through all the addon features, building...
2012-09-03 13:25:37,707 [INFO ] :pkgbuilder: Building pkgbuilder
2012-09-03 13:25:37,712 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org
2012-09-03 13:25:38,119 [DEBUG ] :requests.packages.urllib3.connectionpool: "GET /rpc.php?type=info&arg=pkgbuilder HTTP/1.1" 200 None
2012-09-03 13:25:38,138 [INFO ] :pkgbuilder: (auto fancy_msg ) Building pkgbuilder...
2012-09-03 13:25:38,169 [INFO ] :pkgbuilder: (auto fancy_msg ) Downloading the tarball...
2012-09-03 13:25:38,170 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org
2012-09-03 13:25:38,613 [DEBUG ] :requests.packages.urllib3.connectionpool: "GET /packages/pk/pkgbuilder/pkgbuilder.tar.gz HTTP/1.1" 200 568
2012-09-03 13:25:38,614 [INFO ] :pkgbuilder: (auto fancy_msg2 ) 0.568 kB downloaded
2012-09-03 13:25:38,614 [INFO ] :pkgbuilder: (auto fancy_msg ) Extracting...
2012-09-03 13:25:38,615 [INFO ] :pkgbuilder: (auto fancy_msg2 ) 2 files extracted
2012-09-03 13:25:38,616 [INFO ] :pkgbuilder: (auto fancy_msg ) Checking dependencies...
2012-09-03 13:25:38,818 [INFO ] :pkgbuilder: (auto fancy_msg2 ) python: found in system
2012-09-03 13:25:38,818 [INFO ] :pkgbuilder: (auto fancy_msg2 ) pyalpm: found in system
2012-09-03 13:25:38,818 [INFO ] :pkgbuilder: (auto fancy_msg2 ) python-pyparsing: found in system
2012-09-03 13:25:38,818 [INFO ] :pkgbuilder: (auto fancy_msg2 ) python-requests: found in system
2012-09-03 13:25:45,043 [INFO ] :pkgbuilder: (auto fancy_msg ) The build function reported a proper build.
2012-09-03 13:25:45,069 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org
2012-09-03 13:25:45,450 [DEBUG ] :requests.packages.urllib3.connectionpool: "GET /rpc.php?type=info&arg=pkgbuilder HTTP/1.1" 200 None
2012-09-03 13:25:45,452 [INFO ] :pkgbuilder: (auto fancy_msg2 ) [INF3450] validation: installed 2.1.3.7-1
2012-09-03 13:25:45,452 [INFO ] :pkgbuilder: Quitting.

Kwpolska commented on 2012-09-03 11:23

I see the breakage, unfortunately nothing got logged. I guess the [DEBUG ] entries are from attempts with Ethernet instead of WiFi? Well then, please try checking if your router and/or WiFi card aren’t broken. It might not like the long arguments of mine. But I don’t see any attempts to run `pkgbuilder -S pkgbuilder`, might trying? Just tell me if you can install it or not.

mrbit commented on 2012-09-03 11:20

2012-09-02 07:50:12,713 [INFO ] :pkgbuilder: *** PKGBUILDer v2.1.3.7
2012-09-02 07:50:13,119 [INFO ] :pkgbuilder: Running argparse.
2012-09-02 07:50:13,120 [INFO ] :pkgbuilder: Arguments parsed.
2012-09-02 07:50:13,121 [INFO ] :pkgbuilder: Ran auto_upgrade.
2012-09-02 07:50:13,315 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org
2012-09-02 07:50:13,958 [DEBUG ] :requests.packages.urllib3.connectionpool: "GET /rpc.php?type=multiinfo&arg[]=zint&arg[]=easyiso&arg[]=couchpotato-git&arg[]=sdldevil&arg[]=power-commands&$
2012-09-02 10:48:40,547 [INFO ] :pkgbuilder: *** PKGBUILDer v2.1.3.7
2012-09-02 10:48:41,152 [INFO ] :pkgbuilder: Running argparse.
2012-09-02 10:48:41,153 [INFO ] :pkgbuilder: Arguments parsed.
2012-09-02 10:48:41,153 [INFO ] :pkgbuilder: Ran auto_upgrade.
2012-09-02 10:48:41,359 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org
2012-09-02 10:48:41,977 [DEBUG ] :requests.packages.urllib3.connectionpool: "GET /rpc.php?type=multiinfo&arg[]=zint&arg[]=easyiso&arg[]=couchpotato-git&arg[]=sdldevil&arg[]=power-commands&$
2012-09-02 22:46:19,613 [INFO ] :pkgbuilder: *** PKGBUILDer v2.1.3.7
2012-09-02 22:46:19,798 [INFO ] :pkgbuilder: Running argparse.
2012-09-02 22:46:19,800 [INFO ] :pkgbuilder: Arguments parsed.
2012-09-02 22:46:19,800 [INFO ] :pkgbuilder: Ran auto_upgrade.
2012-09-02 22:46:19,983 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org
2012-09-03 11:54:20,387 [INFO ] :pkgbuilder: *** PKGBUILDer v2.1.3.7
2012-09-03 11:54:20,976 [INFO ] :pkgbuilder: Running argparse.
2012-09-03 11:54:20,977 [INFO ] :pkgbuilder: Arguments parsed.
2012-09-03 11:54:20,977 [INFO ] :pkgbuilder: Ran auto_upgrade.
2012-09-03 11:54:21,202 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org
2012-09-03 11:54:21,864 [DEBUG ] :requests.packages.urllib3.connectionpool: "GET /rpc.php?type=multiinfo&arg[]=zint&arg[]=easyiso&arg[]=couchpotato-git&arg[]=sdldevil&arg[]=power-commands&$
2012-09-03 12:40:09,903 [INFO ] :pkgbuilder: *** PKGBUILDer v2.1.3.7
2012-09-03 12:40:10,047 [INFO ] :pkgbuilder: Running argparse.
2012-09-03 12:40:10,049 [INFO ] :pkgbuilder: Arguments parsed.
2012-09-03 12:40:10,049 [INFO ] :pkgbuilder: Ran auto_upgrade.
2012-09-03 12:40:10,230 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org

Kwpolska commented on 2012-09-03 10:51

Okay. So if nothing works, I will report this issue to the requests guys. Please show me ~/.config/kwpolska/pkgbuilder/pkgbuilder.log which may contain more info about your issue.

mrbit commented on 2012-09-02 20:48

= ??? no

mrbit commented on 2012-09-02 20:47

pacman -Qm | wc
602 1204 12848

Kwpolska commented on 2012-09-02 14:53

@mrbit
Okay. Just in case, try running `pkgbuilder -S pkgbuilder` and tell me if it works. Also, show me the output of `pacman -Qm | wc`.

mrbit commented on 2012-09-02 13:57

1---python-requests 0.13.7-1
2-- sudo pkgbuilder -Syu (with wifi) ????

with ethernet ok

Kwpolska commented on 2012-09-02 13:51

@mrbit: That problem is a requests problem, it would need to be routed there (but that’s my job.)

A few obligatory questions:
1. Version of python-requests?
2. Command generating problems?
3. WiFi signal strength?
4. If you can test that, does this problem occur when using an Ethernet cable or something like that?

mrbit commented on 2012-09-02 13:43

with WIFI internet :
Traceback (most recent call last):
File "/usr/lib/python3.2/site-packages/requests/packages/urllib3/connectionpool.py", line 275, in _make_request
httplib_response = conn.getresponse(buffering=True)
TypeError: getresponse() got an unexpected keyword argument 'buffering'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.2/site-packages/requests/models.py", line 618, in send
timeout=self.timeout,
File "/usr/lib/python3.2/site-packages/requests/packages/urllib3/connectionpool.py", line 415, in urlopen
body=body, headers=headers)
File "/usr/lib/python3.2/site-packages/requests/packages/urllib3/connectionpool.py", line 277, in _make_request
httplib_response = conn.getresponse()
File "/usr/lib/python3.2/http/client.py", line 1049, in getresponse
response.begin()
File "/usr/lib/python3.2/http/client.py", line 346, in begin
version, status, reason = self._read_status()
File "/usr/lib/python3.2/http/client.py", line 308, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/usr/lib/python3.2/socket.py", line 276, in readinto
return self._sock.recv_into(b)
socket.error: [Errno 104] Connection reset by peer

Kwpolska commented on 2012-07-31 11:37

Oh wait. It was a valid update after all. This is what happens when you have a mess in your files.

Kwpolska commented on 2012-07-31 11:26

Oh what? My package release system screwed up. And it upgraded to v2.1.2.33 for no reason at all, which isn’t and won’t be an official release!

mrbit commented on 2012-07-31 11:22

"/tmp/pkgbuilder-0/pkgbuilder/${pkgname}-${pkgver}.tar.gz.part": File or directory does not exist"

mrbit commented on 2012-07-14 10:22

ok...thanks

Kwpolska commented on 2012-07-14 08:48

Oh. The .mo files were removed. Fixed in this release.

mrbit commented on 2012-07-14 08:45

creating /tmp/packerbuild-0/pkgbuilder/pkgbuilder/pkg/usr/share/locale/en
creating /tmp/packerbuild-0/pkgbuilder/pkgbuilder/pkg/usr/share/locale/en/LC_MESSAGES
error: can't copy 'locale/en/LC_MESSAGES/pkgbuilder.mo': doesn't exist or not a regular file

Kwpolska commented on 2011-11-03 16:13

The legacy version is now in the AUR: https://aur.archlinux.org/packages.php?ID=53699

Kwpolska commented on 2011-10-15 12:02

IMPORTANT: version 2.1.2.1 is not compatible with pacman 3.x and pyalpm older than 0.5.1. In case you are still using those, the legacy package is available here:
[snip]

EVEN MORE IMPORTANT: version 2.1.1.9 had a bug in -Si, a new, unofficial release has been made here:

http://github.kwpolska.tk/pkgbuilder-2.1.1.10_UNOFFICIAL_LEGACY-1-any.pkg.tar.xz
http://github.kwpolska.tk/pkgbuilder-2.1.1.10_UNOFFICIAL_LEGACY-1.src.tar.gz

Kwpolska commented on 2011-10-15 07:33

IMPORTANT: version 2.1.2.1 is not compatible with pacman 3.x and pyalpm older than 0.5.1. In case you are still using those, the legacy package is available here:

https://github.com/Kwpolska/kwpolska.github.com/blob/master/pkgbuilder-2.1.1.9-1.src.tar.gz

or, in a package:
https://github.com/Kwpolska/kwpolska.github.com/blob/master/pkgbuilder-2.1.1.9-1-any.pkg.tar.xz

2.1.1.9 offers the same functionality as 2.1.2.1.

Kwpolska commented on 2011-10-15 07:33

IMPORTANT: version 2.1.2.1 is not compatible with pacman 3.x and pyalpm older than 0.5.1. In case you are still using those, the legacy package is available here:

https://github.com/Kwpolska/kwpolska.github.com/blob/master/pkgbuilder-2.1.1.9-1.src.tar.gz

or, in a package:
https://github.com/Kwpolska/kwpolska.github.com/blob/master/pkgbuilder-2.1.1.9-1-any.pkg.tar.xz

Kwpolska commented on 2011-10-14 18:41

v2.1.2.0 is compatible with the new pyalpm and pacman 4.0.

Kwpolska commented on 2011-10-08 08:30

Forgot to update the manifest, thanks. Fixed.

seblu commented on 2011-10-07 19:50

creating /tmp/yaourt-tmp-root/aur-pkgbuilder/pkg/usr/share/man/man8
copying docs/pkgbuilder.8.gz -> /tmp/yaourt-tmp-root/aur-pkgbuilder/pkg/usr/share/man/man8
error: can't copy 'locale': doesn't exist or not a regular file